DU(1)

NAMN
du — uppskatta användning av filutrymme

SYNOPSIS
du [FLAGGA]... [FIL]...
du [FLAGGA]... --files0-from=F

BESKRIVNING

Sammanfatta enhetsanvändningen för uppsättningen FILer, rekursivt för kataloger.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-0, --null
    Avsluta varje utmatad rad med NOLL, inte nyrad.

-a, --all
    Skriv ut värden för alla filer, inte bara kataloger.

--apparent-size
    Skriv skenbar storlek istället för enhetsanvändning; även om den skenbara storleken normalt är mindre, kan den vara större på grund av hål i (”glesa”) filer, intern fragmentering, indirekta block, och liknande.

-B, --block-size=STRL
    Skala storlekar med STRL före de skrivs ut; t.ex. ”-BM” skriver storlekar i enheter av 1 048 576 byte; se STORLEKsformat nedan.

-b, --bytes
    Likvärdigt med '--apparent-size --block-size=1'.

-c, --total
    Rapportera totalsumman.

-D, --dereference-args
    Följ endast symboliska länkar som är uppräknade på kommandoraden.

-d, --max-depth=N
    Skriv summan för en katalog (eller fil, med --all) endast om den är N eller färre nivåer nedanför kommandoradsargumentet; --max-depth=0 är detsamma som --summarize.

--files0-from=F
    Summera enhetsanvändning för de NOLL-terminerade filnamnen som anges i filen F; om F är - så läs namn från standard in.

-H  Detsamma som --dereference-args (-D).

-h, --human-readable
    Skriv storlekar i läsbart format (t.ex. 1K 234M 2G).

--inodes
    Lista information om inodsanvändning istället för blockanvändning.

-k  Som --block-size=1K.

-L, --dereference
    Följ alla symboliska länkar.

-l, --count-links
    Räkna storlek flera gånger för hårda länkar.

-m  Som --block-size=1M.

-P, --no-dereference
    Följ inga symboliska länkar (detta är normalfallet).

-S, --separate-dirs
    Ta för kataloger inte med storlek på underkataloger.

--si
    Som -h men i exponenter av 1000 istället för 1024.

-s, --summarize
    Visa bara summan för varje argument.

-t, --threshold=STORLEK
    Uteslut poster som är mindre än STORLEK om den är positiv, eller poster större än STORLEK om den är negativ.

--time
    Visa tiden för senaste ändring av filer i katalogen, eller någon av dess underkataloger.

--time=ORD
    Visa tid som ORD istället för modifieringstid: atime, access, use, ctime eller status.

--time-style=STIL
    Visa tider med stilen STIL, som kan vara: full-iso, long-iso, iso eller +FORMAT; FORMAT tolkas som för date(1).

-X, --exclude-from=FIL
    Uteslut filer som matchar något mönster i FIL.

--exclude=MÖNSTER
    Utelämna filer som matchar MÖNSTER.

-x, --one-file-system
    Hoppa över kataloger på andra filsystem.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Visa värden i enheter av första tillgängliga STORLEK från --block-size, och miljövariablerna DU_BLOCK_SIZE, BLOCK_SIZE och BLOCKSIZE. Annars är enheten som standard 1024 byte (eller 512 om POSIXLY_CORRECT är satt).

Argumentet STORLEK är ett heltal och eventuell enhet (exempel: 10K är 10·1024). Enheter är K, M, G, T, P, E, Z, Y (potenser av 1024) eller KB, MB, … (potenser av 1000). Binära prefix kan också användas: KiB=K, MiB=M, och så vidare.

MÖNSTER
MÖNSTER är ett skalmönster (inte ett reguljärt uttryck). Mönstret ? matchar vilket tecken som helst, medan * matchar godtycklig sträng (sammansatt av noll, ett eller flera tecken). Till exempel kommer *.o matcha alla filer vars namn slutar med .o. Därför kommer kommandot

    du --exclude='*.o'

hoppa över alla filer och underkataloger som slutar i .o (inklusive filen .o själv).

UPPHOVSMAN
Skrivet av Torbjorn Granlund, David MacKenzie, Paul Eggert och Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/du>
eller tillgängligt lokalt via: info '(coreutils) du invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.